%bcond_without check

%global goipath         github.com/sourcegraph/annotate
%global commit          f4cad6c6324d3f584e1743d8b3e0e017a5f3a636

%gometa

%global common_description %{expand:
A Go package for applying multiple sets of annotations to a region of text.}

%global golicenses      LICENSE
%global godocs          README.md benchmark.txt

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        Go package for applying multiple sets of annotations to a region of text

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.gitf4cad6c
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
